Resource Center/Network Resource/L3 Network Operations
POSTL3 Network OperationsSince 0.6SynchronousAuth Required
AddDnsToL3Network
AddDnsToL3Network
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
l3NetworkUuidStringRequiredThe L3 network UUID.
dnsStringRequiredThe DNS address.
Body Fields
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
POST/zstack/v1/l3-networks/{l3NetworkUuid}/dns
/zstack/v1/l3-networks/{l3NetworkUuid}/dns
Request Example
curl -X POST 'http://{host}/zstack/v1/l3-networks/{l3NetworkUuid}/dns' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "name": "Test-L3Network", "l2NetworkUuid": "08f7b0b577a84c28968ddce5a9377c5d", "dns": [ "8.8.8.8" ] } }Change History
This API has no change history records yet.
